#
# spec file for package virtualization-formulas
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           virtualization-formulas
Version:        0.6.1
Release:        220400.1.75.uyuni2
Summary:        Virtualization Salt Formulas for SUSE Manager
License:        Apache-2.0
Group:          System/Management
URL:            https://github.com/SUSE/salt-formulas 
Source:         %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
BuildRequires:  salt-master
Requires:       salt-master
Provides:       virtualization-host-formula = %version-%release
Obsoletes:      virtualization-host-formula < %version-%release

%description
Virtualization Salt Formula for SUSE Manager for both the hypervisor and the guest.

%prep
%setup -q

%build

%install
install -D -t %{buildroot}/usr/share/susemanager/formulas/states/virtualization-host host/states/*
install -D -t %{buildroot}/usr/share/susemanager/formulas/metadata/virtualization-host host/metadata/*
install -D -t %{buildroot}/usr/share/susemanager/formulas/states/virtualization-guest guest/states/*
install -D -t %{buildroot}/usr/share/susemanager/formulas/metadata/virtualization-guest guest/metadata/*
install -D -t %{buildroot}/usr/share/susemanager/formulas/states/SR-IOV sriov/states/*
install -D -t %{buildroot}/usr/share/susemanager/formulas/metadata/SR-IOV sriov/metadata/*

install -D -t %{buildroot}/usr/share/susemanager/formulas/states/virtualization-host/_states host/src/states/*.py
install -D host/virtualization-host-formula.conf %{buildroot}/etc/salt/master.d/virtualization-host-formula.conf

%files
%defattr(-,root,root,-)
%license LICENSE
/usr/share/susemanager
%config /etc/salt/master.d/virtualization-host-formula.conf

%changelog
* Fri Sep 10 2021 Cédric Bosdonnat <cbosdonnat@suse.com>
- Update to version 0.6.1
  * host: install irqbalance package
* Wed Jul 28 2021 Cédric Bosdonnat <cbosdonnat@suse.com>
- Update to version 0.6
  - Add host tuning parameters
  - Add guest formula
  - Add SR-IOV formula
* Thu Aug 27 2020 Cédric Bosdonnat <cbosdonnat@suse.com>
- Update to version 0.5
  - Ensure kernel-default and libvirt-python3 are installed
  - Set bridge network as default
  - Fix conditionals (bsc#1175791)
* Tue May 12 2020 Cédric Bosdonnat <cbosdonnat@suse.com>
- Update to version 0.4
  - Hidden required fields should not be required
* Wed Apr  8 2020 Cédric Bosdonnat <cbosdonnat@suse.com>
- Update to version 0.3
  - Fix required fields
  - Fix bridge network creation
* Wed Feb  5 2020 Cédric Bosdonnat <cbosdonnat@suse.com>
- Update to version 0.2
- Add default virtual storage pool and networks
- Fix Xen install
- Add:
  * virtualization-host-formula.conf
* Thu Jun 13 2019 Cédric Bosdonnat <cbosdonnat@suse.com>
- Initial version
